package de.accso.flexinale.backoffice.api_out.event.mapper;

import de.accso.flexinale.backoffice.api_contract.event.model.FilmTO;
import de.accso.flexinale.backoffice.domain.model.Film;

import static de.accso.flexinale.common.shared_kernel.RawWrapper.getRawOrNull;

public final class Film2FilmTOMapper {

    public static FilmTO map(final Film film) {
        return new FilmTO(film.id(), film.version,
                new FilmTO.Titel(getRawOrNull(film.titel)),
                new FilmTO.ImdbUrl(getRawOrNull(film.imdbUrl)),
                new FilmTO.DauerInMinuten(getRawOrNull(film.dauerInMinuten)));
    }
}
